/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.attributes;

import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcAccessPermission;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttribute;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcSetClientAttributeRequest;

class GrpcSetClientAttributeRequestTestFactory {

	static final String VORGANG_ID = "55";
	static final GrpcAccessPermission access = GrpcAccessPermission.READ_ONLY;

	public static GrpcSetClientAttributeRequest create() {
		return createBuilder().build();
	}

	public static GrpcSetClientAttributeRequest createWithAttribute(GrpcClientAttribute attribute) {
		return createBuilder().setAttribute(attribute).build();
	}

	public static GrpcSetClientAttributeRequest.Builder createBuilder() {
		return GrpcSetClientAttributeRequest.newBuilder()
				.setVorgangId(VORGANG_ID)
				.setAttribute(GrpcClientAttributeTestFactory.create());
	}

}
