package de.ozgcloud.nachrichten.info;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.info.nachricht.GrpcNachricht;
import de.ozgcloud.nachrichten.postfach.osi.MessageTestFactory;

class InfomanagerNachrichtMapperTest {

	private InfomanagerNachrichtMapper mapper = Mappers.getMapper(InfomanagerNachrichtMapper.class);

	@Test
	void shouldMapPostfachId() {
		var result = map();

		assertThat(result.getPostfachId()).isEqualTo(MessageTestFactory.POSTFACH_ID);
	}

	@Test
	void shouldMapNachrichtenManagerUrl() {
		var result = map();

		assertThat(result.getNachrichtenListUrl()).isEqualTo(InfoManagerRequestTestFactory.NACHRICHTEN_MANAGER_URL);
	}

	private GrpcNachricht map() {
		return mapper.toGrpc(InfoManagerRequestTestFactory.create());
	}
}